Subject: Re: Xerces Compilation Problem
From: "Gerrit P. Haase" <[email-masked]>
To: Abraham Backus <[email-masked]>
Cc: "Franck Leray" <[email-masked]>, [email-masked]
Date: Tue, 27 Aug 2002 14:13:27 +0200

Gerrit schrieb:

> Franck schrieb:

>> I'm trying to compil Xerces on 'my cygwin platform'.
>> gcc version is 3.2
>> I've got the following problem in the make step.

>> In file included from XMLScanner.cpp:93:
>> /usr/src/include/xercesc/validators/schema/identity/ValueStoreCache.hpp:131: ISO  C++ forbids declaration of `initialDepth' with no type
>> make[1]: *** [XMLScanner.o] Error 1
>> make[1]: Leaving directory `/usr/src/xml-xerces/c/src/xercesc/internal'
>> make: *** [Internal] Error 2

>> Any ideas ?

> Nope, have not seen this yesterday, I checked out a new copy today
> and I'm compiling now, I'll see if there is a new problem.

I see this too now:
In file included from XMLScanner.cpp:93:
/stuff/Xerces/xml-xerces/c/include/xercesc/validators/schema/identity/ValueStoreCache.hpp:131: ISO
   C++ forbids declaration of `initialDepth' with no type
make[1]: *** [XMLScanner.o] Error 1
make[1]: Leaving directory `/stuff/Xerces/xml-xerces/c/src/xercesc/internal'
make: *** [Internal] Error 2

Maybe just the type is missing, try changing it to int as it is at other
places in the source:

    ValueStore* getValueStoreFor(const IC_Field* const field, const int initialDepth);

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/